Subject: Re: lanana: Add major/minor entries for PPC QE UART devices

From: Timur Tabi <[email-masked]>
Date: Wed, 28 Feb 2007 11:35:39 -0600

Dan Malek wrote:

> I don't think that would be a problem, and I'd like the
> CPM/QE to share devices because it makes the
> software distributions common to all Freescale
> embedded processors.

I'm willing to use whatever minor number and range the community agrees upon.

An alternative idea, which one person already shot down, was to allow only 4 devices 
normally, but allow more devices if you use udev, since udev doesn't care about minor 
number assignments.  This eliminates the overlap and encourages people to use udev.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale